All of lore.kernel.org
 help / color / mirror / Atom feed
From: ira.weiny@intel.com
To: fstests@vger.kernel.org, Eryu Guan <guaneryu@gmail.com>
Cc: john.hubbard@gmail.com, Dave Chinner <david@fromorbit.com>,
	Jason Gunthorpe <jgg@ziepe.ca>, Jan Kara <jack@suse.cz>,
	dan.j.williams@intel.com, Jeff Layton <jlayton@kernel.org>,
	Ira Weiny <ira.weiny@intel.com>
Subject: [PATCH 07/13] generic/131: Clean up pid variables
Date: Tue, 17 Sep 2019 21:15:52 -0700	[thread overview]
Message-ID: <20190918041558.2621-8-ira.weiny@intel.com> (raw)
In-Reply-To: <20190918041558.2621-1-ira.weiny@intel.com>

From: Ira Weiny <ira.weiny@intel.com>

Change the name of the variables to reflect the client vs server.  This
will help in future patches.

Signed-off-by: Ira Weiny <ira.weiny@intel.com>
---
 tests/generic/131 | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/tests/generic/131 b/tests/generic/131
index e8cdd48e8667..c333e676e8f9 100755
--- a/tests/generic/131
+++ b/tests/generic/131
@@ -17,8 +17,8 @@ trap "_cleanup; exit \$status" 0 1 2 3 15
 
 _cleanup()
 {
-    kill $locktest_pid2 > /dev/null 2>&1
-    kill $locktest_pid1 > /dev/null 2>&1
+	kill $client_pid > /dev/null 2>&1
+	kill $server_pid > /dev/null 2>&1
 }
 
 # get standard environment, filters and checks
@@ -38,7 +38,7 @@ touch $TEST_DIR/server.out
 
 # Start the server
 src/locktest $TESTFILE 2>&1 > $TEST_DIR/server.out &
-locktest_pid1=$!
+server_pid=$!
 
 timeout=30
 while [ $timeout -gt 0 ]; do
@@ -50,7 +50,7 @@ while [ $timeout -gt 0 ]; do
 	fi
 
 	# check the existence of server process
-	if ! kill -s 0 $locktest_pid1 >/dev/null 2>&1; then
+	if ! kill -s 0 $server_pid >/dev/null 2>&1; then
 		echo "Server died abnormally"
 		exit 1
 	fi
@@ -65,7 +65,7 @@ fi
 
 # Start the client
 src/locktest -p $PORT -h localhost $TESTFILE 2>&1 > $TEST_DIR/client.out
-locktest_pid2=$!
+client_pid=$!
 result=$?
 if [ $result -eq 0 ]; then
 	echo success!
-- 
2.20.1

  parent reply	other threads:[~2019-09-18  4:16 UTC|newest]

Thread overview: 18+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-09-18  4:15 [PATCH 00/13] Fix locktest and add lease testing to it ira.weiny
2019-09-18  4:15 ` [PATCH 01/13] src/locktest: Remove unnecessary sleep ira.weiny
2019-09-18  4:15 ` [PATCH 02/13] src/locktest: Remove OPEN macro ira.weiny
2019-09-18  4:15 ` [PATCH 03/13] src/locktest: Change command macro names ira.weiny
2019-09-18  4:15 ` [PATCH 04/13] src/locktest: Add get_cmd_str ira.weiny
2019-09-18  4:15 ` [PATCH 05/13] src/locktest.c: Clean up client command passing ira.weiny
2019-09-18  4:15 ` [PATCH 06/13] src/locktest.c: Fix return code if last test fails ira.weiny
2019-09-18  4:15 ` ira.weiny [this message]
2019-09-18  4:15 ` [PATCH 08/13] generic/131: Save stderr for debugging ira.weiny
2019-09-18  4:15 ` [PATCH 09/13] src/locktest: Add simple lease testing ira.weiny
2019-09-18  4:15 ` [PATCH 10/13] src/locktest: Add lease testing for basic signal reception ira.weiny
2019-09-18  4:15 ` [PATCH 11/13] src/locktest: Add truncate lease tests ira.weiny
2019-09-18  4:15 ` [PATCH 12/13] src/locktest: Clean up error output ira.weiny
2019-09-18  4:15 ` [PATCH 13/13] src/locktest: Audit all debug output ira.weiny
2019-09-20 13:12 ` [PATCH 00/13] Fix locktest and add lease testing to it Jeff Layton
2019-09-21 16:20 ` Eryu Guan
2019-09-22  2:01   ` Weiny, Ira
2019-09-22  7:52     ` Eryu Guan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20190918041558.2621-8-ira.weiny@intel.com \
    --to=ira.weiny@intel.com \
    --cc=dan.j.williams@intel.com \
    --cc=david@fromorbit.com \
    --cc=fstests@vger.kernel.org \
    --cc=guaneryu@gmail.com \
    --cc=jack@suse.cz \
    --cc=jgg@ziepe.ca \
    --cc=jlayton@kernel.org \
    --cc=john.hubbard@gmail.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.